Skip to content
GET/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}

Get posting

Returns a specific posting by its id with all of its details

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

mandateIdstringrequired
organizationIdstringrequired
postingIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

reversebooleanrequired
numberinteger | nullrequired

minimum: 1

maximum: 9007199254740991

receiptDatestringrequired
deliveryDatestring | nullrequired
receiptNumberstringrequired
receiptFilestringrequired
receiptFileNamestringrequired
textstringrequired

maxLength: 1000

debitAccountintegerrequired

minimum: 1

maximum: 999999999

creditAccountintegerrequired

minimum: 1

maximum: 999999999

debitAccountNamestringoptional
creditAccountNamestringoptional
taxCodestring | nullrequired

minLength: 1

maxLength: 5

taxDebitAccountinteger | nullrequired

minimum: 1

maximum: 999999999

taxCreditAccountinteger | nullrequired

minimum: 1

maximum: 999999999

costCenter1number | nullrequired

minimum: 1

maximum: 99999999

costCenter2number | nullrequired

minimum: 1

maximum: 99999999

committedAtdate-time | nullrequired
createdAtdate-time | nulloptional
sourcestring | nullrequired

Options:

expenserevenueinvoicedepositdonationofferconfirmationcashRegistercashTransactiondatevImportpostingReceiptfixedAssetforward
isGrossbooleanrequired
canDeletebooleanrequired

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "reverse": true,
  "number": 1,
  "receiptDate": "string",
  "deliveryDate": "string",
  "receiptNumber": "string",
  "receiptFile": "string",
  "receiptFileName": "string",
  "text": "string",
  "amount": 1,
  "debitAccount": 1,
  "creditAccount": 1,
  "taxCode": "string",
  "taxAmount": 1,
  "taxDebitAccount": 1,
  "taxCreditAccount": 1,
  "costCenter1": 1,
  "costCenter2": 1,
  "committedAt": "2026-06-15T22:30:00Z",
  "committedBy": {
    "name": "string",
    "type": "user",
    "userId": "string",
    "image": {
      "resource": "string"
    }
  },
  "source": "expense",
  "sourceId": "000000000000000000000001",
  "isGross": true,
  "canDelete": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}